Recruiter
One of your Parascribe calls with its full transcript
Use for one call’s full summary and transcript. callId from listParascribeCalls. 404 when call missing, not yours or has no transcript.
Required scopes: calls:read.
GET
/
recruiter
/
parascribe-calls
/
{callId}
One of your Parascribe calls with its full transcript
curl --request GET \
--url https://external-api.paraform.com/api/external/v1/recruiter/parascribe-calls/{callId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://external-api.paraform.com/api/external/v1/recruiter/parascribe-calls/{callId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external-api.paraform.com/api/external/v1/recruiter/parascribe-calls/{callId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external-api.paraform.com/api/external/v1/recruiter/parascribe-calls/{callId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external-api.paraform.com/api/external/v1/recruiter/parascribe-calls/{callId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external-api.paraform.com/api/external/v1/recruiter/parascribe-calls/{callId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external-api.paraform.com/api/external/v1/recruiter/parascribe-calls/{callId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"callId": "<string>",
"title": "<string>",
"scheduledAt": "<string>",
"platform": "<string>",
"durationSeconds": 123,
"participants": [
{
"name": "<string>"
}
],
"candidate": {
"candidateId": "<string>",
"name": "<string>"
},
"role": {
"roleId": "<string>",
"name": "<string>",
"companyName": "<string>",
"confidentialSearch": true,
"anonymizedName": "<string>",
"urls": {
"browse": "<string>",
"recruit": "<string>"
}
},
"summary": "<string>",
"url": "<string>",
"transcript": [
{
"speaker": "<string>",
"startSeconds": 123,
"endSeconds": 123,
"text": "<string>"
}
]
}Authorizations
Response
200 - application/json
Success
⌘I
One of your Parascribe calls with its full transcript
curl --request GET \
--url https://external-api.paraform.com/api/external/v1/recruiter/parascribe-calls/{callId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://external-api.paraform.com/api/external/v1/recruiter/parascribe-calls/{callId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external-api.paraform.com/api/external/v1/recruiter/parascribe-calls/{callId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external-api.paraform.com/api/external/v1/recruiter/parascribe-calls/{callId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external-api.paraform.com/api/external/v1/recruiter/parascribe-calls/{callId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external-api.paraform.com/api/external/v1/recruiter/parascribe-calls/{callId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external-api.paraform.com/api/external/v1/recruiter/parascribe-calls/{callId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"callId": "<string>",
"title": "<string>",
"scheduledAt": "<string>",
"platform": "<string>",
"durationSeconds": 123,
"participants": [
{
"name": "<string>"
}
],
"candidate": {
"candidateId": "<string>",
"name": "<string>"
},
"role": {
"roleId": "<string>",
"name": "<string>",
"companyName": "<string>",
"confidentialSearch": true,
"anonymizedName": "<string>",
"urls": {
"browse": "<string>",
"recruit": "<string>"
}
},
"summary": "<string>",
"url": "<string>",
"transcript": [
{
"speaker": "<string>",
"startSeconds": 123,
"endSeconds": 123,
"text": "<string>"
}
]
}